Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/DefaultJDynObjectComponent.java
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/DefaultJDynObjectComponent.java	(revision 167)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/DefaultJDynObjectComponent.java	(revision 168)
@@ -877,51 +435,56 @@
 	// }
 
 	/**
-	 * @param mandatoryLabelColor
-	 *            the mandatoryLabelColor to set
+	 * @return the mandatoryLabelColor
 	 */
-	public void setMandatoryLabelColor(Color mandatoryLabelColor) {
-		this.mandatoryLabelColor = mandatoryLabelColor;
+	public Color getMandatoryLabelColor() {
+		return mandatoryLabelColor;
 	}
 
+	/* (non-Javadoc)
+	 * @see org.gvsig.tools.swing.spi.AbstractDynObjectComponent#getValue()
+	 */
+	@Override
+	public Object getValue() {
+	    return this.getDynObject();
+	}
+
+	/* (non-Javadoc)
+	 * @see org.gvsig.tools.swing.api.dynobject.ValueChangedListener#handleValueChanged(org.gvsig.tools.swing.api.dynobject.JDynObjectComponent, org.gvsig.tools.swing.api.dynobject.dynfield.JDynFieldComponent)
+	 */
+	public void handleValueChanged(JDynFieldComponent field) {
+	    JLabel label = getFieldLabel(field.getDynField());
+	    this.checkValidation(label, field);
+	}
+
 	/**
-	 * @return the mandatoryLabelColor
+	 * @param field
+	 * @return
 	 */
-	public Color getMandatoryLabelColor() {
-		return mandatoryLabelColor;
+	protected boolean isValid(JDynFieldComponent field) {   
+	    return field.isValid();
 	}
 
-	// public void editObject(boolean modal) {
-	// // this.modal = modal;
-	// // try {
-	// // PluginServices.getMDIManager().addWindow(this);
-	// // } catch (Exception e) {
-	// // JFrame frame = new JFrame();
-	// // frame.setLayout(new BorderLayout());
-	// // frame.add(this);
-	// // frame.setBounds(10, 10, 400, 400);
-	// // frame.setVisible(true);
-	// // }
-	// }
 
-	// public String getTitle() {
-	// return title;
-	// }
-	//
-	// public void setTitle(String title) {
-	// this.title = title;
-	// }
+	/* (non-Javadoc)
+	 * @see org.gvsig.tools.swing.api.dynobject.JDynObjectComponent#requestFocus()
+	 */
+	public void requestFocus() {
+	}
 
-	// public Object getWindowProfile() {
-	// return WindowInfo.PROPERTIES_PROFILE;
-	// }
+	/**
+	 * @param mandatoryLabelColor
+	 *            the mandatoryLabelColor to set
+	 */
+	public void setMandatoryLabelColor(Color mandatoryLabelColor) {
+		this.mandatoryLabelColor = mandatoryLabelColor;
+	}
 
-	// public boolean isSrsShowTransformPanel() {
-	// return srsShowTransformPanel;
-	// }
-	//
-	// public void setSrsShowTransformPanel(boolean srsShowTransformPanel) {
-	// this.srsShowTransformPanel = srsShowTransformPanel;
-	// }
+	/* (non-Javadoc)
+	 * @see org.gvsig.tools.swing.api.dynobject.dynfield.ValueField#setValue(java.lang.Object)
+	 */
+	public void setValue(Object value) {
+	   
+	}
 
 }
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/StatusLabel.java
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/StatusLabel.java	(revision 0)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/StatusLabel.java	(revision 168)
@@ -0,0 +1,105 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+ *
+ * Copyright (C) 2007-2008 Infrastructures and Transports Department
+ * of the Valencian Government (CIT)
+ * 
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
+ * MA  02110-1301, USA.
+ * 
+ */
+/*
+ * AUTHORS (In addition to CIT):
+ * 2010 Institute of New Imaging Technologies (INIT): 
+ *   http://www.init.uji.es
+ * Geographic Information research group: 
+ *   http://www.geoinfo.uji.es
+ * Universitat Jaume I, Spain
+ */
+
+/**
+ * 
+ */
+package org.gvsig.tools.swing.impl.dynobject;
+
+import java.awt.Color;
+
+import javax.swing.Icon;
+import javax.swing.ImageIcon;
+import javax.swing.JLabel;
+
+import org.gvsig.tools.swing.api.dynobject.ValueChangedListener;
+import org.gvsig.tools.swing.api.dynobject.dynfield.JDynFieldComponent;
+
+/**
+ * @author <a href="mailto:reinhold@uji.es">cmartin</a>
+ * 
+ */
+public class StatusLabel extends JLabel implements ValueChangedListener{
+
+    private static final String NOT_VALIDATED = "unavailable.png";
+    
+    private static final Color COLOR_MANDATORY = Color.RED;
+    
+
+    public StatusLabel(String text, boolean isMandatory) {
+	setOpaque(true);
+	setHorizontalTextPosition(JLabel.LEFT);
+	setHorizontalAlignment(LEFT);
+	setVerticalAlignment(CENTER);
+	setIconTextGap(10);
+	if (isMandatory){
+	    this.setForeground(COLOR_MANDATORY);
+	    this.setText("<html><u>" + text + "</u><html>");
+	}else
+	    setText(text);
+    }
+
+
+    /**
+     * @param notValidated
+     * @return
+     */
+    private Icon getIcon(String notValidated, String description) {
+	String path = this.getClass().getResource(NOT_VALIDATED).getPath();
+	if ((path==null)||(path.equals("")))
+	    return null;
+	ImageIcon icon = new ImageIcon(path);
+	icon.setDescription(description);
+	icon.setImageObserver(this);
+	return icon;
+    }
+//
+//    // Set the font and text when no image was found.
+//    protected void setText(String text, Font normalFont) {
+//	if (uhOhFont == null) { // lazily create this font
+//	    uhOhFont = normalFont.deriveFont(Font.ITALIC);
+//	}
+//	setFont(uhOhFont);
+//	setText(uhOhText);
+//    }
+
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.swing.api.dynobject.ValueChangedListener#handleValueChanged(org.gvsig.tools.swing.api.dynobject.dynfield.JDynFieldComponent)
+     */
+    public void handleValueChanged(JDynFieldComponent field) {
+
+	// Set the icon and text. If icon was null, say so.
+	if (!field.isValid()){	    
+	    this.setIcon(getIcon(NOT_VALIDATED, "Not Validated"));	    
+	}else{
+	    setIcon(null);	    
+	}
+    }
+}
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/AbstractDynObjectModel.java
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/AbstractDynObjectModel.java	(revision 0)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/AbstractDynObjectModel.java	(revision 168)
@@ -0,0 +1,138 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+*
+* Copyright (C) 2007-2008 Infrastructures and Transports Department
+* of the Valencian Government (CIT)
+* 
+* This program is free software; you can redistribute it and/or
+* modify it under the terms of the GNU General Public License
+* as published by the Free Software Foundation; either version 2
+* of the License, or (at your option) any later version.
+* 
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+* 
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
+* MA  02110-1301, USA.
+* 
+*/
+/*
+ * AUTHORS (In addition to CIT):
+ * 2010 Institute of New Imaging Technologies (INIT): 
+ *   http://www.init.uji.es
+ * Geographic Information research group: 
+ *   http://www.geoinfo.uji.es
+ * Universitat Jaume I, Spain
+ */
+
+/**
+ * 
+ */
+package org.gvsig.tools.swing.impl.dynobject;
+
+import java.util.ArrayList;
+import java.util.LinkedHashMap;
+import java.util.List;
+import java.util.Map;
+
+import org.gvsig.tools.dynobject.DynClass;
+import org.gvsig.tools.swing.api.dynobject.DynFieldComponentModel;
+import org.gvsig.tools.swing.api.dynobject.DynObjectModel;
+
+/**
+ * @author <a href="mailto:reinhold@uji.es">cmartin</a>
+ *
+ */
+public abstract class AbstractDynObjectModel implements DynObjectModel{
+
+    private Map modelsList;
+    protected DynClass dynClass;
+
+    
+    public AbstractDynObjectModel(DynClass theClass, boolean initAll){
+	this.dynClass = theClass;
+	this.modelsList = new LinkedHashMap();
+	if (initAll)
+	    initDynFieldComponentModelList();
+    }
+    
+    public DynFieldComponentModel add(String fieldName) {
+	return add("General",fieldName);
+    }
+    
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.swing.api.dynobject.DynObjectComponentModel#add(org.gvsig.tools.dynobject.DynField)
+     */
+    public DynFieldComponentModel add(String group, String fieldName) {
+	addGroup(group);
+	if (fieldName!=null){
+	    DynFieldComponentModel elem = createDynObjectModelElement(fieldName,dynClass, group);
+	    List list = getGroup(group);
+	    if (isNewElement(list, elem))
+		list.add(list.size(),elem);
+	    return elem;
+	}	    
+	return null;
+    }
+
+    public void addGroup(String group){
+	if (!hasGroup(group))
+	    this.modelsList.put(group, new ArrayList());
+    }
+
+    
+    /**
+     * @param field
+     * @param dynClass
+     * @return
+     */
+    protected abstract DynFieldComponentModel createDynObjectModelElement(
+	    String fieldName, DynClass dynClass, String group);
+    
+    
+
+    protected List getGroup(String group){
+	return (List) this.modelsList.get(group);
+    }
+   
+
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.swing.api.dynobject.DynObjectComponentModel#getFieldModel()
+     */
+    public List getGroupElements(String group) {
+	return (List) this.modelsList.get(group);
+    }
+
+    public String[] getGroups(){
+	return (String[]) this.modelsList.keySet().toArray(new String[0]);
+    }
+    
+    protected boolean hasGroup(String group){
+	return this.modelsList.containsKey(group);
+    }
+    /**
+     * 
+     */
+    public abstract void initDynFieldComponentModelList();
+
+    /**
+     * @param list
+     * @param elem
+     * @return
+     */
+    private boolean isNewElement(List list, DynFieldComponentModel elem) {
+	if ((list==null)||(elem==null))
+	    return false;
+	DynFieldComponentModel item;
+	for (int i=0;i<list.size();i++){
+	    item = (DynFieldComponentModel) list.get(i);
+	    if (item.equals(elem)){
+		return false;
+	    }
+	}
+	return true;
+    }
+}
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/DefaultDynObjectModel.java
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/DefaultDynObjectModel.java	(revision 0)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/DefaultDynObjectModel.java	(revision 168)
@@ -0,0 +1,79 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+*
+* Copyright (C) 2007-2008 Infrastructures and Transports Department
+* of the Valencian Government (CIT)
+* 
+* This program is free software; you can redistribute it and/or
+* modify it under the terms of the GNU General Public License
+* as published by the Free Software Foundation; either version 2
+* of the License, or (at your option) any later version.
+* 
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+* 
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
+* MA  02110-1301, USA.
+* 
+*/
+/*
+ * AUTHORS (In addition to CIT):
+ * 2010 Institute of New Imaging Technologies (INIT): 
+ *   http://www.init.uji.es
+ * Geographic Information research group: 
+ *   http://www.geoinfo.uji.es
+ * Universitat Jaume I, Spain
+ */
+
+/**
+ * 
+ */
+package org.gvsig.tools.swing.impl.dynobject;
+
+import org.gvsig.tools.dynobject.DynClass;
+import org.gvsig.tools.dynobject.DynField;
+import org.gvsig.tools.swing.api.dynobject.DynFieldComponentModel;
+import org.gvsig.tools.swing.api.dynobject.DynObjectModel;
+/**
+ * @author <a href="mailto:reinhold@uji.es">cmartin</a>
+ *
+ */
+public class DefaultDynObjectModel extends AbstractDynObjectModel implements DynObjectModel{
+
+    /**
+     * @param initAll 
+     * @param theClass
+     */
+    public DefaultDynObjectModel(DynClass dynClass, boolean initAll) {
+	super(dynClass, initAll);
+	
+    }
+
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.swing.spi.AbstractDynObjectModel#createDynObjectComponentModelElement(org.gvsig.tools.dynobject.DynField, org.gvsig.tools.dynobject.DynClass)
+     */
+    protected DynFieldComponentModel createDynObjectModelElement(
+	    String fieldName, DynClass dynClass, String group) {
+	return new DefaultDynObjectModelElement(fieldName,dynClass, group);
+    }
+
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.swing.spi.AbstractDynObjectModel#initDynFieldComponentModelList()
+     */
+    public void initDynFieldComponentModelList() {
+	if (this.dynClass==null) return;
+	DynField[] fields = this.dynClass.getDeclaredDynFields();
+	if (fields!=null){
+	    DynField field = null;
+	    for (int i=0;i<fields.length;i++){
+		field = fields[i];
+		if (!field.isHidden()){
+		    this.add(field.getName());
+		}
+	    }
+	}
+    }
+}
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/DefaultDynObjectSwingManager.java
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/DefaultDynObjectSwingManager.java	(revision 167)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/DefaultDynObjectSwingManager.java	(revision 168)
@@ -26,15 +26,19 @@
  */
 package org.gvsig.tools.swing.impl.dynobject;
 
-import java.util.HashMap;
-import java.util.Map;
-
+import org.gvsig.tools.dynobject.DynClass;
 import org.gvsig.tools.dynobject.DynField;
 import org.gvsig.tools.dynobject.DynObject;
+import org.gvsig.tools.service.AbstractMultiServiceImplManager;
+import org.gvsig.tools.service.Service;
+import org.gvsig.tools.service.ServiceException;
+import org.gvsig.tools.swing.api.dynobject.DynObjectModel;
 import org.gvsig.tools.swing.api.dynobject.DynObjectSwingManager;
 import org.gvsig.tools.swing.api.dynobject.JDynObjectComponent;
-import org.gvsig.tools.swing.api.dynobject.dynfield.DynFieldComponentFactory;
 import org.gvsig.tools.swing.api.dynobject.dynfield.JDynFieldComponent;
+import org.gvsig.tools.swing.api.dynobject.dynfield.ValueField;
+import org.gvsig.tools.swing.spi.DynObjectSwingServiceManager;
+import org.gvsig.tools.swing.spi.ToolsSwingServiceLocator;
 
 /**
  * Default {@link DynObjectSwingManager} implementation.
@@ -45,34 +49,104 @@
  * 
  * @author 2010- César Ordiñana - gvSIG team
  */
-public class DefaultDynObjectSwingManager implements DynObjectSwingManager {
+public class DefaultDynObjectSwingManager extends
+	AbstractMultiServiceImplManager implements DynObjectSwingManager {
 
-	private Map<Integer, DynFieldComponentFactory> fieldFactories = new HashMap<Integer, DynFieldComponentFactory>(
-			10);
 
-	public JDynObjectComponent createJDynObjectComponent(DynObject dynObject) {
-		return createJDynObjectComponent(dynObject, MODE_FORM);
-	}
+    //
+    // private Map<Integer, DynFieldComponentFactory> fieldFactories = new
+    // HashMap<Integer, DynFieldComponentFactory>(
+    // 10);
 
-	public JDynObjectComponent createJDynObjectComponent(DynObject dynObject,
-			String mode) {
-		return new DefaultJDynObjectComponent(dynObject);
-	}
+    /**
+     * @param serviceManager
+     */
+    public DefaultDynObjectSwingManager() {
+	super(ToolsSwingServiceLocator.getServiceManager());
+    }
 
-	public JDynFieldComponent createJDynFieldComponent(DynField field,
-			DynObject dynObject) {
-		DynFieldComponentFactory factory = getFactoryFor(field.getType());
-		return (factory == null) ? null : factory.createJDynFieldComponent(
-				field, dynObject);
-	}
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.swing.api.dynobject.DynObjectSwingManager#createJDynObjectModel(org.gvsig.tools.dynobject.DynClass)
+     */
+    public DynObjectModel createDynObjectModel(DynClass dynClass)
+	    throws ServiceException {
+	return new DefaultDynObjectModel(dynClass, true);
+    }
 
-	public void registerDynFieldComponentFactory(
-			DynFieldComponentFactory factory, int dataType) {
-		fieldFactories.put(dataType, factory);
-	}
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.swing.api.dynobject.DynObjectSwingManager#createEmptyDynObjectModel(org.gvsig.tools.dynobject.DynClass)
+     */
+    public DynObjectModel createEmptyDynObjectModel(DynClass dynClass)
+	    throws ServiceException {
+	return new DefaultDynObjectModel(dynClass, false);
+    }
 
-	private DynFieldComponentFactory getFactoryFor(int dataType) {
-		return fieldFactories.get(dataType);
-	}
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.swing.api.dynobject.DynObjectSwingManager#createJDynFieldComponent(org.gvsig.tools.dynobject.DynField, org.gvsig.tools.dynobject.DynObject)
+     */
+    public JDynFieldComponent createJDynFieldComponent(ValueField parent, DynField field) throws ServiceException {
+	JDynFieldComponent component;
+	if (field.getElementsType()!=null)
+	    component = ((DynObjectSwingServiceManager) this.getServiceManager()).getJDynFieldComponent(parent,field, true);
+	else
+	    component = ((DynObjectSwingServiceManager) this.getServiceManager()).getJDynFieldComponent(parent,field, false);
+	return component;
+    }
 
+    public JDynObjectComponent createJDynObjectComponent(DynObject dynObject) throws ServiceException {
+	return createJDynObjectComponent(dynObject, createDynObjectModel(dynObject.getDynClass()));
+    }
+
+    public JDynObjectComponent createJDynObjectComponent(DynObject dynObject,
+	    DynObjectModel model) throws ServiceException {
+	return createJDynObjectComponent(dynObject, model, MODE_FORM);
+    }
+
+
+
+//    /*
+//     * (non-Javadoc)
+//     * 
+//     * @see
+//     * org.gvsig.tools.service.Manager#createServiceParameters(java.lang.String)
+//     */
+//    public DynObject createServiceParameters(String serviceName)
+//	    throws ServiceException {
+//
+//	return ToolsLocator.getDynObjectManager().createDynObject(serviceName);
+//    }
+
+    public JDynObjectComponent createJDynObjectComponent(DynObject dynObject,
+	    DynObjectModel model, String mode) throws ServiceException {
+	DynObject serviceParams = this.createServiceParameters(getServiceName(dynObject,mode));
+	
+	serviceParams
+		.setDynValue(JDynObjectComponent.PARAMETERS.DYNMODEL, model);
+	serviceParams.setDynValue(JDynObjectComponent.PARAMETERS.DYNOBJECT,
+		dynObject);
+
+	return (JDynObjectComponent) this.getService(serviceParams);
+
+    }
+    
+    public JDynObjectComponent createJDynObjectComponent(DynObject dynObject,
+	    String mode) throws ServiceException {
+	return createJDynObjectComponent(dynObject, createDynObjectModel(dynObject.getDynClass()));
+    }
+
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.service.Manager#getService(org.gvsig.tools.dynobject.DynObject)
+     */
+    public Service getService(DynObject serviceParams) throws ServiceException {
+	return this.getServiceManager().createService(serviceParams);
+    }
+
+    /**
+     * @param dynObject
+     * @param mode
+     * @return
+     */
+    private String getServiceName(DynObject dynObject, String mode) {
+	return mode;
+    }
 }
\ No newline at end of file
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/DefaultDynObjectSwingServiceManager.java
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/DefaultDynObjectSwingServiceManager.java	(revision 0)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/DefaultDynObjectSwingServiceManager.java	(revision 168)
@@ -0,0 +1,156 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+*
+* Copyright (C) 2007-2008 Infrastructures and Transports Department
+* of the Valencian Government (CIT)
+* 
+* This program is free software; you can redistribute it and/or
+* modify it under the terms of the GNU General Public License
+* as published by the Free Software Foundation; either version 2
+* of the License, or (at your option) any later version.
+* 
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+* 
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
+* MA  02110-1301, USA.
+* 
+*/
+/*
+ * AUTHORS (In addition to CIT):
+ * 2010 Institute of New Imaging Technologies (INIT): 
+ *   http://www.init.uji.es
+ * Geographic Information research group: 
+ *   http://www.geoinfo.uji.es
+ * Universitat Jaume I, Spain
+ */
+
+/**
+ * 
+ */
+package org.gvsig.tools.swing.impl.dynobject;
+
+import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.dataTypes.DataTypes;
+import org.gvsig.tools.dynobject.DynField;
+import org.gvsig.tools.dynobject.DynObject;
+import org.gvsig.tools.service.ServiceException;
+import org.gvsig.tools.service.spi.AbstractServiceManager;
+import org.gvsig.tools.swing.api.dynobject.dynfield.JDynFieldComponent;
+import org.gvsig.tools.swing.api.dynobject.dynfield.ValueField;
+import org.gvsig.tools.swing.impl.dynobject.dynfield.JComboBoxDynFieldComponent;
+import org.gvsig.tools.swing.spi.DynObjectSwingServiceManager;
+
+/**
+ * @author <a href="mailto:reinhold@uji.es">cmartin</a>
+ *
+ */
+public class DefaultDynObjectSwingServiceManager extends AbstractServiceManager implements DynObjectSwingServiceManager{
+
+    private DynObject createJDynFieldParams(DynField field){
+	int times =0;
+	Object res=null;
+	
+	while ((res==null)&& (times<4))
+	    res = getServiceParams(field,times++);
+	if (res == null) return null;
+	
+	return (DynObject) res;
+	
+    }
+
+    public JDynFieldComponent getJDynFieldComponent(ValueField parent, DynField field,boolean getContainerType) throws ServiceException {
+	
+	DynObject serviceParams = createJDynFieldParams(field);
+
+	serviceParams
+		.setDynValue(JDynFieldComponent.PARAMETERS.DYNFIELD, field);
+	serviceParams
+		.setDynValue(JDynFieldComponent.PARAMETERS.PARENT, parent);
+
+	return (JDynFieldComponent) this.createService(serviceParams);
+	
+  }
+
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.swing.spi.DynObjectSwingServiceManager#getJSingleComboBoxDynFieldComponent(org.gvsig.tools.dynobject.DynField, org.gvsig.tools.swing.api.dynobject.dynfield.ValueField)
+     */
+    public JDynFieldComponent getJSingleComboBoxDynFieldComponent(JDynFieldComponent component, DynField field) {
+	return  new JComboBoxDynFieldComponent(component, field);
+
+    }
+    
+
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.service.spi.AbstractServiceManager#getRegistryDescription()
+     */
+    @Override
+    protected String getRegistryDescription() {
+	// TODO Auto-generated method stub
+	return null;
+    }
+    
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.service.spi.AbstractServiceManager#getRegistryKey()
+     */
+    @Override
+    protected String getRegistryKey() {
+	return "DefaultDynObjectSwingServiceManager";
+    }
+    
+    /**
+     * @param field
+     * @return
+     */
+    private String getServiceName(DynField field, int times) {
+//	if (field.getType()==DataTypes.DYNOBJECT)
+//	    getServiceName(field.getType(),field.get.getFullName(),true);
+        
+	if (times==0){
+	    // Search in type and subtype
+//	    if (field.getElementsType()!=null) // if container
+//		 getServiceName(field.getType(),field.getSubType(),true);
+//	        	
+	    return getServiceName(field.getType(),field.getSubtype(),true);	     
+	}
+	if (times==1)
+	    return getServiceName(field.getType(),field.getSubtype(), false);
+	return getServiceName(DataTypes.STRING,null,true);
+    }
+    
+    public String getServiceName(int type, String subType){
+	return getServiceName(type,subType,true);
+    }
+    
+    
+    public String getServiceName(int type, String subType, boolean useSubType){
+	if ((subType==null)||(subType.equals(""))){
+	    //No subtype
+	    return "field." + ToolsLocator.getDataTypesManager().getTypeName(type);	    
+	}
+	if (useSubType)
+	    return "field." + ToolsLocator.getDataTypesManager().getTypeName(type)+ "." + subType;	    
+	return "field." + ToolsLocator.getDataTypesManager().getTypeName(type);	    			
+    }
+
+    private DynObject getServiceParams(DynField field, int times){
+	try {
+	    return this.createServiceParameters(getServiceName(field,times));
+	} catch (ServiceException e) {
+	    return null;
+	}
+
+    }
+
+//    /* (non-Javadoc)
+//     * @see org.gvsig.tools.swing.spi.DynObjectSwingServiceManager#getJSingleReadOnlyDynFieldComponent(org.gvsig.tools.dynobject.DynField, org.gvsig.tools.swing.api.dynobject.dynfield.ValueField)
+//     */
+//    public JDynFieldComponent getJSingleReadOnlyDynFieldComponent(JDynFieldComponent component,
+//	    DynField field) {
+//	   return new JReadOnlyDynFieldComponent(component, field);	
+//    }
+
+}
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/DefaultJDynObjectComponentFactory.java
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/DefaultJDynObjectComponentFactory.java	(revision 0)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/dynobject/DefaultJDynObjectComponentFactory.java	(revision 168)
@@ -0,0 +1,99 @@
+/* gvSIG. Geographic Information System of the Valencian Government
+*
+* Copyright (C) 2007-2008 Infrastructures and Transports Department
+* of the Valencian Government (CIT)
+* 
+* This program is free software; you can redistribute it and/or
+* modify it under the terms of the GNU General Public License
+* as published by the Free Software Foundation; either version 2
+* of the License, or (at your option) any later version.
+* 
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+* 
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
+* MA  02110-1301, USA.
+* 
+*/
+/*
+ * AUTHORS (In addition to CIT):
+ * 2010 Institute of New Imaging Technologies (INIT): 
+ *   http://www.init.uji.es
+ * Geographic Information research group: 
+ *   http://www.geoinfo.uji.es
+ * Universitat Jaume I, Spain
+ */
+
+/**
+ * 
+ */
+package org.gvsig.tools.swing.impl.dynobject;
+
+import org.gvsig.tools.dynobject.DynObject;
+import org.gvsig.tools.service.ServiceException;
+import org.gvsig.tools.service.spi.ServiceFactory;
+import org.gvsig.tools.swing.api.dynobject.DynObjectModel;
+import org.gvsig.tools.swing.api.dynobject.JDynObjectComponent;
+import org.gvsig.tools.swing.api.dynobject.JDynObjectComponentFactory;
+import org.gvsig.tools.swing.spi.AbstractDynObjectFactory;
+
+/**
+ * @author <a href="mailto:reinhold@uji.es">cmartin</a>
+ *
+ */
+public class DefaultJDynObjectComponentFactory extends AbstractDynObjectFactory implements ServiceFactory, JDynObjectComponentFactory{
+
+    private static final String SERVICE_NAME = "form";
+    private static final String SERVICE_DESCRIPTIPON = "";
+    
+   
+
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.swing.api.dynobject.JDynObjectComponentFactory#createJDynObjectComponent(org.gvsig.tools.swing.api.dynobject.DynObjectSwingManager, org.gvsig.tools.dynobject.DynObject, org.gvsig.tools.swing.api.dynobject.DynObjectComponentModel)
+     */
+    public JDynObjectComponent createJDynObjectComponent(DynObject dynObject,
+	    DynObjectModel model) throws ServiceException {
+	return new DefaultJDynObjectComponent(dynObject, model);
+    }
+
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.swing.impl.dynobject.AbstractSwingServiceFactory#getServiceDescription()
+     */
+    @Override
+    public String getFactoryDescription() {
+	return SERVICE_DESCRIPTIPON;
+    }
+    
+
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.swing.spi.AbstractDynObjectFactory#getFactoryName()
+     */
+    @Override
+    public String getFactoryName() {
+	return SERVICE_NAME;
+    }
+        
+    
+
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.swing.impl.dynobject.AbstractSwingServiceFactory#getFactorySubType()
+     */
+    @Override
+    public String getFactorySubType() {
+	return null;
+    }
+    
+    /* (non-Javadoc)
+     * @see org.gvsig.tools.swing.impl.dynobject.AbstractSwingServiceFactory#getFactoryType()
+     */
+    @Override
+    public Integer getFactoryType() {
+	return null;
+    }
+
+  
+}
